%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-integration
Version:          6.0.0
Release:          0.8%{namedreltag}%{?dist}
Summary:          JBoss Integration
License:          LGPLv2+
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/integration/tags/6.0.0.CR1/ jboss-integration-6.0.0.CR1
# tar -zcvf jboss-integration-6.0.0.CR1.tar.gz jboss-integration-6.0.0.CR1
Source0:          jboss-integration-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jacorb
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jboss-parent
BuildRequires:    jboss-transaction-1.1-api

%description
The JBoss integration classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-integration-%{namedversion}

# Not needed
%pom_disable_module jboss-classloading-spi
%pom_disable_module jboss-deployment-spi
%pom_disable_module jboss-transaction-spi
%pom_disable_module jboss-scanning-spi
%pom_disable_module jboss-annotations-spi
%pom_disable_module jboss-jca-spi
%pom_disable_module build

%pom_remove_dep "org.jboss.javaee:jboss-transaction-api" jboss-corba-ots-spi/pom.xml
%pom_add_dep "org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec" jboss-corba-ots-spi/pom.xml

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," build/lgpl.txt

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc build/lgpl.txt

%files javadoc -f .mfiles-javadoc
%doc build/lgpl.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-0.8.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-0.7.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 15 2016 Merlin Mathesius <mmathesi@redhat.com> - 6.0.0-0.6.CR1
- Add missing BuildRequires to fix FTBFS (BZ#1405219).

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-0.5.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.0-0.4.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.0-0.3.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Marek Goldmann <mgoldman@redhat.com> - 6.0.0-0.1.CR1
- Initial packaging

